/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {AlertRequest} from "./alertRequest";
import {FloorRequest} from "./floorRequest";
import {FloorPlanRequest} from "./floorPlanRequest";
import {ZoneRequest} from "./zoneRequest";
import {WorkerRequest} from "./workerRequest";

export class ZoneAlertRequest {
    public projectId: string;

    public alert: AlertRequest;

    public alertLabels: string[];

    public floor: FloorRequest;

    public floorPlan: FloorPlanRequest;

    public zone: ZoneRequest;

    public workers: WorkerRequest[];

    public ticks: number;

    /**
     * Creates a ZoneAlertRequest.
     *
     * @param {string} projectId
     * @param {AlertRequest} alert
     * @param {string} alertLabels
     * @param {FloorRequest} floor
     * @param {FloorPlanRequest} floorPlan
     * @param {ZoneRequest} zone
     * @param {WorkerRequest} workers
     * @param {number} ticks
     */
    constructor(projectId: string, alert: AlertRequest, alertLabels: string[], floor: FloorRequest, floorPlan: FloorPlanRequest, zone: ZoneRequest, workers: WorkerRequest[], ticks: number) {
        this.projectId = projectId;
        this.alert = alert;
        this.alertLabels = alertLabels;
        this.floor = floor;
        this.floorPlan = floorPlan;
        this.zone = zone;
        this.workers = workers;
        this.ticks = ticks;
    }
}
